Imports IntraSell_Net_Base

Public Class OrderPreview

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        Close()
    End Sub

    Sub VorgangInfo(vorgang As VorgangInBearbeitung)
        Try
            Dim vorgangInfoFile As String = OpenAusdruck_InWord_Filename_RTF(vorgang.Typ,
                                                                                   vorgang.Nummer,
                                                                                   VORLAGE_INFO,
                                                                                   True) ', "Status is null")

            ShowFile(vorgangInfoFile)

        Catch ex As Exception
            LabelVorgangInfo.Text = "Leider Anzeige nicht möglich, wegen " & ex.Message
        End Try
    End Sub

    Sub ShowFile(vorgangInfoFile As String)
        If IO.File.Exists(vorgangInfoFile) Then
            Dim content As String = IO.File.ReadAllText(vorgangInfoFile)
            LabelVorgangInfo.Text = SaubernFuerUI(content)
        Else
            LabelVorgangInfo.Text = "Leider Anzeige nicht möglich ..."
        End If
    End Sub

    Sub ShowMessage(text As String)
        LabelVorgangInfo.Text = text
    End Sub

    Private Sub OrderPreview_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub
End Class